Bug 1090746 - Kernel panic on boot on systems with AMI BIOS - regression in 3.14
Summary: Kernel panic on boot on systems with AMI BIOS - regression in 3.14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 04:35 UTC by Robert Hancock
Modified: 2014-05-01 22:30 UTC (History)
7 users (show)

Fixed In Version: kernel-3.14.2-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-01 22:30:42 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 73911 0 None None None Never

Description Robert Hancock 2014-04-24 04:35:38 UTC
Description of problem:
On some systems, 3.14-based kernels appear to lock up immediately after boot. Using "earlyprintk=efi" (assuming an EFI system) shows that the kernel is panicing in acpi_tb_parse_root_table.

Version-Release number of selected component (if applicable):
kernel-3.14.1-200.fc20.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot 3.14.1 on affected system
2.
3.

Actual results:
Kernel panics immediately on boot

Expected results:
System boots

Additional info:
According to the kernel bugzilla (linked) a patch is available to fix this problem though I have not tested it yet. It appears that systems with an AMI BIOS (as with mine) are affected. The patch is supposed to get queued for stable but has not been merged yet. This likely needs to be applied, as otherwise this will cause a major regression on a significant number of systems if the 3.14 update hits stable.

Comment 1 Robert Hancock 2014-04-24 04:44:27 UTC
Using the "acpi=rsdt" boot option works around the issue.

Comment 2 Josh Boyer 2014-04-24 12:45:18 UTC
Thanks for the pointer to the upstream bug.  I've grabbed the kernel patch mentioned there and included in in the scratch build below.  Could you try that when it completes and let me know if it resolves your issue?

http://koji.fedoraproject.org/koji/taskinfo?taskID=6773761

Comment 3 Robert Hancock 2014-04-25 01:26:48 UTC
Yes, this build boots normally on my system.

Comment 4 Josh Boyer 2014-04-25 12:21:57 UTC
Thanks.  I added the patch to our tree.  It will be in the next build.

Comment 5 Fedora Update System 2014-04-28 21:00:08 UTC
kernel-3.14.2-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.2-200.fc20

Comment 6 Fedora Update System 2014-04-30 04:10:30 UTC
Package kernel-3.14.2-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.2-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5808/kernel-3.14.2-200.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-05-01 22:30:42 UTC
kernel-3.14.2-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.